Bug 802627 - Use correct backwards compatibility option for old remote daemons
Use correct backwards compatibility option for old remote daemons
Status: CLOSED NEXTRELEASE
Product: PulpDist
Classification: Community
Component: Pulp Plugins (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: 0.1.0
: ---
Assigned To: Nick Coghlan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 01:52 EDT by Nick Coghlan
Modified: 2012-03-26 19:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 03:10:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2012-03-13 01:52:07 EDT
With the rsync 3.0 client, the correct option for compatibility with old remote daemons is "--no-implied-dirs"

("--old-d" used to work with a 2.6 client, but it's just short for --old-dirs now, which does something different)
Comment 1 Nick Coghlan 2012-03-26 19:55:51 EDT
This fix required rework for 0.0.9, as subsequent testing showed that, while "--old-d" causes problems for the sync operation with newer clients, it is still required for the remote directory listing operation that is used by the versioned and snapshot plugins.

Note You need to log in before you can comment on or make changes to this bug.